ApiContent studio v2
Suggest how a newly added question should be reflected in the outline
AuthorizationBearer <token>
In: header
Path Parameters
briefId*string
Brief ID
domainId*string
Domain ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
question*string
The newly added question to place in the outline
Response Body
application/json
curl -X POST "https://example.com/domains/string/content-briefs/string/document/strategy/suggest-question-placement" \ -H "Content-Type: application/json" \ -d '{ "question": "How do I pick the right running shoe size?" }'{
"question": "How do I pick the right running shoe size?",
"actions": [
{
"type": "attach",
"sectionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"parentSectionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"title": "Sizing and fit",
"topic": "how to measure foot size at home"
}
],
"rationale": "This question fits best under the existing \"Finding your fit\" section."
}Empty
Empty